Create product
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>"
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/products"
payload = {
"name": "<string>",
"slug": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', slug: '<string>'})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"product": {
"reviews_rating_sum": 123,
"reviews_count": 123,
"is_featured": true,
"on_offer": true,
"on_promotion": true,
"on_subscription": true,
"has_variant": true,
"sku": "<string>",
"id": "<string>",
"name": "<string>",
"status": "draft",
"active": true,
"publication_status": "published",
"stock_available": true,
"short_description": "<string>",
"metadata": {},
"tags": [
"<string>"
],
"product_type": "physical",
"hsn_code": "<string>",
"categories": [
{
"id": "<string>",
"name": "<string>",
"active": true
}
],
"sales_channels": [
{
"id": "<string>",
"name": "<string>",
"kind": "storefront",
"active": true
}
],
"attributes": [
{
"attribute_id": "<string>",
"attribute_name": "<string>",
"attribute_type": "text",
"attribute_value": "<string>",
"key": "<string>"
}
],
"variant_options": [
{
"attribute_id": "<string>",
"attribute_value": [
"<string>"
],
"attribute_name": "<string>",
"attribute_type": "single-select",
"key": "<string>"
}
],
"variant_count": 123,
"modified_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"images": [
{
"title": "<string>",
"alternate_text": "<string>",
"sort_order": 123,
"url_tiny": "<string>",
"url_thumbnail": "<string>",
"url_standard": "<string>",
"url_zoom": "<string>",
"file_id": "<string>",
"file_type": "image"
}
],
"seller_id": "<string>",
"seller_detail": {
"id": "<string>",
"trade_name": "<string>",
"legal_name": "<string>",
"business_type": "sole_proprietorship",
"tax_identification_number": "<string>",
"status": "pending_approval",
"kyc_status": "document_pending",
"visibility": "public",
"logo": "<string>"
},
"description": "<string>",
"videos": [
{
"title": "<string>",
"alternate_text": "<string>",
"sort_order": 123,
"video_preview_url": "<string>",
"video_stream_hls_url": "<string>",
"video_stream_dash_url": "<string>",
"image_thumbnail_url": "<string>",
"video_duration": 123,
"file_id": "<string>"
}
],
"pricing": [
{
"customer_group_id": "<string>",
"cost_price": 123,
"listing_price": 123,
"selling_price": 123,
"tax_rate": 123,
"min_order_quantity": 1,
"max_order_quantity": 123,
"incremental_quantity": 1,
"tax_type": "GST"
}
],
"shipping": {
"handling_charge": 1
},
"packaging": {
"pack_width": 123,
"pack_height": 123,
"pack_length": 123,
"pack_dry_weight": 123,
"units_per_pack": 123,
"vertical_rotation": true,
"shipper_width": 123,
"shipper_height": 123,
"shipper_length": 123,
"shipper_dry_weight": 123,
"units_per_shipper": 123
},
"promotions": {
"promotion_type": "discount",
"starts_at": "<string>",
"details": [
{
"discount_type": "percentage",
"discount_percent": 123,
"customer_group_id": "<string>",
"minimum_quantity": 1,
"maximum_quantity": 123,
"maximum_discount_amount": 123
}
],
"id": "<string>",
"expires_at": "<string>"
},
"subscriptions": [
{
"subscription_plan": "<string>",
"billing_interval": 123,
"billing_frequency": "monthly",
"billing_limit": 123,
"billing_trial_days": 0,
"fulfill_separately": true,
"subscription_price": [
{
"suscription_price": 123,
"minimum_quantity": 1,
"customer_group_id": "<string>"
}
],
"subscription_plan_id": "<string>",
"order_interval": 123,
"order_frequency": "monthly",
"order_limit": 123
}
],
"related_products": {
"upsell": [
{
"id": "<string>",
"product_id": "<string>",
"product_name": "<string>",
"product_type": "physical",
"status": "draft",
"tags": [
"<string>"
],
"reviews_rating_sum": 123,
"reviews_count": 123,
"hsn_code": "<string>",
"variant_id": "<string>",
"variant_name": "<string>",
"slug": "<string>",
"sku": "<string>",
"associated_options": [
{
"attribute_id": "<string>",
"attribute_value": "<string>",
"attribute_name": "<string>",
"attribute_type": "single-select",
"key": "<string>"
}
],
"active": true,
"stock_available": true,
"images": [
{
"title": "<string>",
"alternate_text": "<string>",
"sort_order": 123,
"url_tiny": "<string>",
"url_thumbnail": "<string>",
"url_standard": "<string>",
"url_zoom": "<string>",
"file_id": "<string>",
"file_type": "image"
}
],
"pricing": [
{
"customer_group_id": "<string>",
"cost_price": 123,
"listing_price": 123,
"selling_price": 123,
"tax_rate": 123,
"min_order_quantity": 1,
"max_order_quantity": 123,
"incremental_quantity": 1,
"tax_type": "GST"
}
]
}
],
"cross_sell": [
{
"id": "<string>",
"product_id": "<string>",
"product_name": "<string>",
"product_type": "physical",
"status": "draft",
"tags": [
"<string>"
],
"reviews_rating_sum": 123,
"reviews_count": 123,
"hsn_code": "<string>",
"variant_id": "<string>",
"variant_name": "<string>",
"slug": "<string>",
"sku": "<string>",
"associated_options": [
{
"attribute_id": "<string>",
"attribute_value": "<string>",
"attribute_name": "<string>",
"attribute_type": "single-select",
"key": "<string>"
}
],
"active": true,
"stock_available": true,
"images": [
{
"title": "<string>",
"alternate_text": "<string>",
"sort_order": 123,
"url_tiny": "<string>",
"url_thumbnail": "<string>",
"url_standard": "<string>",
"url_zoom": "<string>",
"file_id": "<string>",
"file_type": "image"
}
],
"pricing": [
{
"customer_group_id": "<string>",
"cost_price": 123,
"listing_price": 123,
"selling_price": 123,
"tax_rate": 123,
"min_order_quantity": 1,
"max_order_quantity": 123,
"incremental_quantity": 1,
"tax_type": "GST"
}
]
}
]
},
"variants": [
{
"id": "<string>",
"active": true,
"stock_available": true,
"is_default": true,
"short_description": "<string>",
"metadata": {},
"sku": "<string>",
"slug": "<string>",
"hsn_code": "<string>",
"on_offer": true,
"on_promotion": true,
"on_subscription": true,
"product_type": "physical",
"product_id": "<string>",
"product_name": "<string>",
"pricing": [
{
"customer_group_id": "<string>",
"cost_price": 123,
"listing_price": 123,
"selling_price": 123,
"tax_rate": 123,
"min_order_quantity": 1,
"max_order_quantity": 123,
"incremental_quantity": 1,
"tax_type": "GST"
}
],
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"variant_attributes": [
{
"attribute_id": "<string>",
"attribute_name": "<string>",
"attribute_type": "text",
"attribute_value": "<string>",
"key": "<string>"
}
],
"name": "<string>",
"associated_options": [
{
"attribute_id": "<string>",
"attribute_value": "<string>",
"attribute_name": "<string>",
"attribute_type": "single-select",
"key": "<string>"
}
],
"images": [
{
"title": "<string>",
"alternate_text": "<string>",
"sort_order": 123,
"url_tiny": "<string>",
"url_thumbnail": "<string>",
"url_standard": "<string>",
"url_zoom": "<string>",
"file_id": "<string>",
"file_type": "image"
}
]
}
],
"bundle_items": [
{
"id": "<string>",
"product_id": "<string>",
"product_name": "<string>",
"product_type": "physical",
"status": "draft",
"tags": [
"<string>"
],
"reviews_rating_sum": 123,
"reviews_count": 123,
"hsn_code": "<string>",
"variant_id": "<string>",
"variant_name": "<string>",
"slug": "<string>",
"sku": "<string>",
"associated_options": [
{
"attribute_id": "<string>",
"attribute_value": "<string>",
"attribute_name": "<string>",
"attribute_type": "single-select",
"key": "<string>"
}
],
"active": true,
"stock_available": true,
"images": [
{
"title": "<string>",
"alternate_text": "<string>",
"sort_order": 123,
"url_tiny": "<string>",
"url_thumbnail": "<string>",
"url_standard": "<string>",
"url_zoom": "<string>",
"file_id": "<string>",
"file_type": "image"
}
],
"pricing": [
{
"customer_group_id": "<string>",
"cost_price": 123,
"listing_price": 123,
"selling_price": 123,
"tax_rate": 123,
"min_order_quantity": 1,
"max_order_quantity": 123,
"incremental_quantity": 1,
"tax_type": "GST"
}
],
"quantity": 123
}
],
"seo": {
"title": "<string>",
"description": "<string>",
"keywords": "<array>"
},
"integrations": [
{
"product_id": "<string>",
"product_name": "<string>",
"variant_id": "<string>",
"variant_name": "<string>",
"integration_name": "<string>",
"sync_status": "pending",
"item_id": "<string>",
"item_type": "product",
"item_type_id": "<string>",
"item_url": "<string>",
"schema": "<string>",
"logo": "<string>",
"last_updated": "2023-11-07T05:31:56Z",
"last_synced": "2023-11-07T05:31:56Z"
}
]
}
}
}Catalog
Create product
This endpoint allows you to create a draft product by specifying its name and type. The product is created in its preliminary stage. All additional product details, including descriptions, pricing, and images, etc, can be updated using the Update Product API endpoint.
POST
/
catalog
/
products
Create product
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I